Welcome to Ricochet Router Image Importer

Ricochet Coversheet Image Importer

Welcome to Ricochet Coversheet Image Importer

Ricochet Coversheet Image Importer allows documents to be imported into the Ascent Capture workflow from remote stations via an Internet/Intranet connection.

How the Image Importer Works

The Image Importer is an unattended module that runs on your IIS Web server. It automatically polls the specified watched folders for packages delivered from your remote sites. When a package is detected, the Image Importer converts the package into an Ascent Capture batch, and imports the batch into the Ascent Capture workflow.

Packages

A package is a multi-page TIFF image that contains a special-purpose cover sheet as the first page, plus one or more document pages. Packages are created by remote operators via the Ricochet Coversheet Web pages and a scanning device, such as a Multi-Function Peripheral (MFP) device.

For each package, a remote operator uses the Web pages to select the type of document they want to scan, enter the desired index data for the document, and create and print a cover sheet. Then, the operator scans the cover sheet and the document with their scanning device, which in turn outputs an image file to a location watched by the Image Importer at regular polling intervals.

The cover sheet included as the first page of a package contains information about the document in the package. For example, it contains the type of document and a pointer to the index data entered by the remote operator. The Image Importer uses the information contained on the cover sheet to import the document into Ascent Capture.

Polling for Packages

As an unattended module, the Image Importer requires no user intervention to process packages. Once started, it automatically polls the watched folders for packages to process. When packages are detected, the Image Importer converts them into Ascent Capture batches, and imports the batches into the Ascent Capture workflow.

The Image Importer also polls Ascent Capture for batch class information. It provides the batch classes to the remote operators as package types, which are a unique combination of batch class, document class, and form type settings.

Note The Image Importer ignores packages with less than two pages. This is because MFPs and other scanning devices typically do not lock their output as it is created. So, incomplete package files may exist in the watched folders when the Image Importer polls. The skipped files are rechecked at the next polling time. In addition, Image Importer does not attempt to import packages if the first page is not a valid cover sheet.

Converting Packages to Batches

The Image Importer converts each package into an Ascent Capture batch that typically contains one document. The package type contained on the cover sheet specifies which batch class, document class, and form type to assign to the batch. Once imported into Ascent Capture, the batch is routed to the first queue after Scan as specified by the batch class, and can be processed like any other Ascent Capture batch.

In addition to document pages, the Image Importer also imports the index data that was entered by the remote operator for the document in the package. When the imported batch is opened in Validation at your central site, your validation operators can validate the data for the document pages.

Packages That Cannot Be Imported

Packages that cannot be imported into Ascent Capture are automatically copied to an Error Files folder in your Ricochet Coversheet installation folder. For example, package files that do not contain a valid cover sheet as the first page will be copied to the Error Files folder.

Licensing

The maximum number of pages that you can process each month via Ricochet Coversheet is dependent on the Ascent Capture Scan hardware key attached to your IIS Web server station. Packages imported into Ascent Capture decrement the counter by one for each document page, minus the cover sheet. At the beginning of each month, the counter will automatically reset to your maximum monthly allowance of document pages.

You can view the number of pages remaining for the month from the Ascent Capture Scan and Quality Control modules at your IIS Web server. The “Remaining” indicator is available on the Scan Panel, just below the scanner buttons. If you have an unlimited Scan license, no “Remaining” indicator will display.

Note If the page counter runs out or is not correct, the Image Importer logs an error and stops importing packages.

Related Topics

Batch Class/Document Class Considerations

Error Files Folder

Performance Considerations

Polling for Packages and Batch Classes


Options Dialog Box - Watched Folders Tab

The Image Importer "watches" folders for packages to process. You use this dialog box to add and manage your watched folders.

List of Watched Folders

This is the list of watched folders, including the setting for whether subfolders should be watched. You can add up to 25 watched folders.

Path

This is a list of watched folders. You can use the Add button to add folders to the list. If necessary, you can remove watched folders with the Remove button.

Note The path for the watched folder can include a mapped drive, or be in Uniform Naming Convention (UNC) format. The folder must be available to your MFP device and the Image Importer, and allow full (read/write) access. To specify a UNC path, you can browse via your Network Neighborhood.

Include Subfolders

This field indicates whether the subfolders of the watched folders should also be watched. When set to Yes, all subfolders of the watched folder will be watched. When set to No, none of the subfolders of the watched folder will be watched.

Note If you select Yes, the subfolders must be available to your MFP device and the Image Importer, and allow full (read/write) access.

Add button

Use this button to add a watched folder to the list of watched folders. Clicking Add displays the Browse for Folder dialog box, from which you can select the desired folder.

Remove button

Use this button to remove a watched folder from the list of watched folders. First, select the watched folder that you want to remove. Then, click Remove.

Clean Up Processed Files

Once packages are processed from the watched folders, you can allow the Image Importer to delete them or move them to a location that you specify.

Note The "clean up" option is applied to all watched folders.

Delete processed files

Select this option to delete packages after they are imported into Ascent Capture. All processed packages from all watched folders will be deleted. Packages that are not processed will remain in the watched folder.

Move processed files

Select this option to move processed packages to a specified folder.

Text box and Browse button

This is the folder location to move the processed files. Use Browse to select the folder. All processed packages from all watched folders will be moved to the selected location.

Note If you select “Move processed files,” the path for the folder that you specify can include a mapped drive, or be in UNC format. The folder must be available to the Image Importer, and allow full (read/write) access. To specify a UNC path, you can browse via your Network Neighborhood.

Related Topics

Options Dialog Box - Logging Options Tab

Options Dialog Box - Server Options Tab

Selecting Watched Folders

Setting the Polling Interval

Uniform Naming Convention


Options Dialog Box - Server Options Tab

You use this dialog box to specify the Ascent Capture user name and password.

Note The Ascent Capture user name and password are only necessary if the Ascent Capture User Profiles feature is enabled at your central site. If User Profiles is not enabled, the login information will be ignored.

Login Information for Ascent Capture

Name

Enter a valid Ascent Capture user name.

Password

Enter the appropriate password for the user.

Note To verify Ascent Capture user information, launch the Ascent Capture Administration module and select Edit | User Profiles. If necessary, contact your Ascent Capture system administrator for assistance.

Related Topics

Options Dialog Box - Logging Options Tab

Options Dialog Box - Watched Folders Tab

Specifying Ascent Capture Login Information


Options Dialog Box - Logging Options Tab

Use this dialog box to specify the location for the Image Importer log file and the amount of information to be logged.

Log Folder

The Image Importer logs event messages and errors to a log file. The name of the log file is RCLog_yymm.txt, where yy is the last two digits of the year and mm is a two-digit number that represents the month that information is logged. You cannot specify a different name for the log file, but you can specify where the log file is stored and the amount of information that is logged.

Browse button

Use this button to browse to the desired location for the log file.

Note The path for the log file location can include a mapped drive, or be in Uniform Naming Convention (UNC) format. The folder must be available to the Image Importer, and allow full (read/write) access. To specify a UNC path, you can browse via your Network Neighborhood.

Verbose Log

Check this option if you want to log more detailed information to the log file. Without verbose logging, polling messages and errors (if any) are logged. With verbose logging, messages about each package imported into Ascent Capture is also logged.

Related Topics

Options Dialog Box - Server Options Tab

Options Dialog Box - Watched Folders Tab

Ricochet Coversheet Log Files

Uniform Naming Convention


Polling Interval Dialog Box

Use this dialog box to specify the polling interval. The Image Importer will automatically poll the watched folders for packages to process, and Ascent Capture for batch class information, at the specified polling intervals.

Polling Interval (seconds)

Enter or select the desired polling interval. You can specify a polling interval from 1 second to 24 hours (in seconds). The default is 300 seconds (5 minutes).

Related Topics

Setting the Polling Interval

Tools Menu


About Dialog Box

Use this dialog box to view copyright information and version information. You can also access the Kofax Technical Support Web site from this dialog box.

Tech Support button

Click this button to go to the Kofax Technical Support Web site.

Related Topics

Help Menu


File Menu

The options on the File menu allow you to poll the watched folders, view the log file, and exit the Ricochet Coversheet Image Importer.

Poll Folders

Use this option to force the Image Importer to immediately poll the watched folders, without waiting for the next scheduled polling time.

View Log

This option launches NotePad, and displays the Image Importer’s log file.

Exit

Use this option to stop polling the watched folders and exit the Image Importer. This menu item exits the Image Importer module only; it does not exit or stop the Ricochet Coversheet Server or shut down Ricochet Coversheet Web pages. However, once exited, the Image Importer will not be available to poll watched folders, import batches into Ascent Capture, or update package type information for remote operators.

Related Topics

Exiting the Image Importer

Polling for Packages and Batch Classes

Ricochet Coversheet Log Files


Tools Menu

The options on the Tools menu allow you to select a polling interval and other options.

Polling Interval

The polling interval is the amount of time (in seconds) between polling times, when Image Importer checks the watched folders for packages to process and Ascent Capture for new or edited batch class information. You can specify a polling interval from 1 second to 24 hours (in seconds). The default is 300 seconds (5 minutes). Selecting this option displays the Polling Interval dialog box.

Options

Use this option to display the Options dialog box, from which you can select various operating preferences. Selecting this option displays the Options dialog box.

Related Topics

Polling for Packages and Batch Classes

Setting the Polling Interval


Help Menu

The options on the Help menu allow you to display online help and version information for Ricochet Coversheet Image Importer.

Contents

Use this option to display the table of contents for the Image Importer online help. The topics are not integrated into the standard Ascent Capture help system. You can display Ascent Capture online help from the Ascent Capture program group or any Ascent Capture module.

About

Select this option to display the Ricochet Coversheet Image Importer About box, which contains information such as the version number of the software and copyright information. In addition, you can access the Kofax Technical Support Web pages from the About box.

Related Topics

About Dialog Box


Event Log

As packages are processed, event messages are generated that describe the results of processing. The messages are listed in the Event Log area of Image Importer’s main screen.

Event messages are also logged to a log file.

Related Topics

Ricochet Coversheet Log Files


Ricochet Coversheet Log Files

Ricochet Coversheet copies processing information and error messages to log files when certain events occur. For example, events are logged when package type data is refreshed, or packages are imported into Ascent Capture.

Tip As part of your standard system maintenance, you should review, back up, and/or purge log files as appropriate.

Image Importer Event Log File

The Image Importer generates a log file that contains processing results and error messages. The log files are stored by month in files named RCLog_yymm.txt, where yy is the last two digits of the year and mm is a two-digit number representing the month that the information is logged. A new log file is created for each year/month in which processing occurs.

The log file is stored in a location that you specify during installation, or at any time from the Image Importer’s Options dialog box - Logging Options tab. It is a standard text file, and can be viewed with any text editor (such as NotePad). You can also view it directly from the Image Importer by selecting File Menu | View Log.

For the Image Importer event log file, you can specify whether basic or verbose messages are logged as shown below:

With Basic Logging

    • Messages about refreshing the package types

    • “Completed polling” messages

    • Number of documents and pages imported

    • Errors (if any)

With Verbose Logging

    • All items recorded for basic logging

    • “Completed importing” messages for each package

Each item logged to the log file is preceded by the date and time the event occurred. Examples of the information stored in a log file is shown below. Each entry is logged as a single line of information.

Basic Logging

11/24/01 12:12:53 PM - Refreshed package types.

11/24/01 12:13:39 PM - Completed polling all watched folders. Documents imported: 4: Pages imported: 4.

Verbose Logging

11/24/01 12:12:53 PM - Refreshed package types.

11/24/01 12:13:15 PM - Completed importing package file C:\Chicago Sales\24065205 369235984.tif. Pages imported: 1.

11/24/01 12:13:23 PM - Completed importing package file C:\Chicago Sales\24071734 369235984.tif. Pages imported: 1.

11/24/01 12:13:31 PM - Completed importing package file C:\Houston Shipping\24065049 369235984.tif. Pages imported: 1.

11/24/01 12:13:39 PM - Completed importing package file C:\Houston Shipping\24065129 369235984.tif. Pages imported: 1.

11/24/01 12:13:39 PM - Completed polling all watched folders. Documents imported: 4: Pages imported: 4.

Note Errors encountered by the Image Importer are logged to the Image Importer event log, as well as the standard Ascent Capture error log. Refer to your Ascent Capture documentation for details about the Ascent Capture log files.

Viewing the Contents of the Image Importer Log File

You can open the log files with any text editor, such as NotePad. If desired, you can launch NotePad from the Image Importer's user interface and display the log file.

  • To view the log file from the Image Importer

  1. From the Image Importer's menu bar, select File | View Log.

  2. The log file will display in NotePad.

Ricochet Coversheet Server Log File

In addition to the Image Importer log file, a separate log is generated by Ricochet Coversheet server activity. The name of this log file is Csweblog.txt, and it is stored in:

C:\inetpub\wwwroot\RicochetCoversheet folder.

Related Topics

Event Log

File Menu

Options Dialog Box - Logging Options Tab

Specifying Log File Options


Starting the Image Importer

Once installed, the Image Importer automatically starts whenever you restart your IIS Web server station. If you exit the Image Importer, you can restart it from your Windows Start menu.

  • To start Image Importer from the Start menu, click Start | Programs | Ricochet Coversheet | Image Importer. The Image Importer will start.

Note The Image Importer cannot be started as a service.

Related Topics

Exiting the Image Importer


Setting the Polling Interval

You use the Polling Interval dialog box to set the polling interval.

  • To specify a polling interval

  1. From the Image Importer’s menu bar, select Tools | Polling Interval. The Polling Interval dialog box will display.

  2. Enter or select the desired polling interval. You can specify a polling interval from 1 second to 24 hours (in seconds). The default is 300 seconds (5 minutes).

Related Topics

Polling for Packages and Batch Classes


Selecting Watched Folders

Remote users create document packages by scanning documents and special-purpose cover sheets with Multi-Function Peripheral devices (MFPs) or other scanning devices, and storing the files in folders that are “watched” by the Image Importer. When packages are detected in these folders, the Image Importer automatically processes them to deliver batches to the Ascent Capture system.

You can specify up to 25 watched folders with the Options dialog box - Watched folders tab.

  • To specify watched folders

  1. From the Image Importer’s menu bar, select Tools | Options. The Options dialog box will display.

  2. From the Watched Folders tab, click Add to add a watched folder to the list of watched folders. The Browse for Folder dialog box will display.

    1. From the Browse for Folder dialog box, browse to the folder that you want to add.

    2. Click OK. The folder you selected will appear in the list of watched folders.

    3. Repeat for each watched folder that you want to add.

Note The path for the watched folder can include a mapped drive, or be in Uniform Naming Convention (UNC) format. The folder must be available to your MFP device and the Image Importer, and allow full (read/write) access. To specify a UNC path, you can browse via your Network Neighborhood.

  3. You can specify that all subfolders of a watched folder should also be watched. To do so:

    1. Select the desired watched folder from the list of watched folders.

    2. Click the field for the watched folder that appears in the “Include Subfolders” column. A drop-down list will appear.

    3. From the drop-down list, select Yes to specify that all subfolders of the watched folder should be watched. Select No if you do not want the subfolders to be watched. The default is No.

    4. Repeat for each watched folder.

Note If you select Yes to watch subfolders, the subfolders must be available to your MFP device and the Image Importer, and allow full (read/write) access.

  4. If necessary, you can remove watched folders from the list. To do so:

    1. Select the folder that you want to remove from the list of watched folders.

    2. Click Remove.

    3. Repeat for each folder that you want to remove.

  5. Once packages are processed from the watched folders, you can allow the Image Importer to delete them or move them to a location that you specify. Specify the clean up behavior for the watched folders.

    1. Select “Delete processed files” to delete the files after they are processed.

    2. Select “Move processed files” to move the files to a different folder after they are processed. Click Browse to select the desired folder.

    3. The option that you specify applies to all watched folders.

Note If you select “Move processed files,” the path for the folder that you specify can include a mapped drive, or be in UNC format. The folder must be available to the Image Importer, and allow full (read/write) access. To specify a UNC path, you can browse via your Network Neighborhood.

  4. When you are finished selecting options from the Watched Folders tab, click OK to save your selections and close the dialog box, or select one of the other tabs to set other options.

Related Topics

Polling for Packages and Batch Classes

Setting the Polling Interval


Specifying Ascent Capture Login Information

If the Ascent Capture User Profiles feature is enabled at your central site, you must specify a valid Ascent Capture user name and password for the Image Importer. This will allow the Image Importer to import packages into Ascent Capture and access batch class information.

  • To specify Ascent Capture log in information

  1. From the Image Importer’s menu bar, select Tools | Options. The Options dialog box - Watched Folders tab will display.

  2. Select the Server Options tab.

  3. Enter the appropriate Ascent Capture user name and password.

Tip To verify Ascent Capture user information, launch the Ascent Capture Administration module and select Edit | User Profiles. If necessary, contact your Ascent Capture system administrator for assistance.

  4. When you are finished selecting options from the Server Options tab, click OK to save your selections and close the dialog box, or select one of the other tabs to set other options.

Note the following:

  • When Image Importer starts, it “logs in” to Ascent Capture. If it cannot gain access, the message “Could not log in to the Ascent Capture system” will display in the Image Importer’s event log area. The Image Importer will not poll watched folders or perform any other processing. If this occurs, use the Options dialog box to specify a valid Ascent Capture user name and password. The Image Importer will attempt to gain access again at the next polling time.

  • Once Image Importer successfully logs in to Ascent Capture, it will continue to use the same user name and password until it is shut down. If you specify a different user/password from the Options dialog box, or edit users from the Ascent Capture Administration module, you must shut down the Image Importer and restart it for the changes to take effect.


Specifying Log File Options

The Image Importer logs event messages and errors to a log file. The name of the log file is RCLog_yymm.txt, where yy is the last two digits of the year and mm is a two-digit number that represents the month that information is logged. You cannot specify a different name for the log file, but you can specify where the log file is stored and the amount of information that is logged.

  • To specify log file settings

  1. From the Image Importer’s menu bar, select Tools | Options. The Options dialog box - Watched folders tab will display.

  2. Select the Logging Options tab.

  3. To specify the location of the log file, click Browse. The Browse for Folder dialog box will display:

    1. From Browse for Folder dialog box, browse to the folder you want to specify as the location for the log file.

    2. Click OK. The folder you selected will appear as the Log folder.

Note The path for the log file location can include a mapped drive, or be in UNC format. The folder must be available to the Image Importer, and allow full (read/write) access. To specify a UNC path, you can browse via Network Neighborhood.

  4. If desired, check the “Verbose log” option to log more detailed information to the log file. Without verbose logging, polling messages and errors (if any) are logged. With verbose logging, messages about each package imported into Ascent Capture are also logged.

  5. When you are finished selecting options from the Logging Options tab, click OK to save your selections and close the dialog box, or select one of the other tabs to set other options.

Related Topics

Ricochet Coversheet Log Files


Error Files Folder

Packages that cannot be imported into Ascent Capture are automatically moved to an Error Files folder in your Ricochet Coversheet installation folder on your IIS Web server.

For example, package files that contain an expired cover sheet will be moved into the Error Files folder. This may happen if your remote operator fails to scan a cover sheet and document before midnight of the day the cover sheet was created. In this way, you can monitor the packages sent from your remote sites to ensure that all batches are imported into the Ascent Capture workflow as necessary.

Note The Error Files folder is automatically created when you install Ricochet Coversheet. The default installation path is C:\Program Files\Ricochet Coversheet\Error Files on your IIS Web server.

You can view the TIFF files in your Error Files folder with any TIFF viewer. The cover sheet contained in the TIFF file provides the IP address of the remote station that originated the package. You can use this information to request that the package be regenerated from the remote site.

In addition, if files are moved to the Error Files folder, an error message will be logged to the Image Importer’s log file. For example, if an expired cover sheet is found in a watched folder, a message similar to the following will be logged:

An error has occurred. The package file [path/file name] contains an invalid or expired cover sheet. [pointer to index data] The package must be regenerated.

The path/file name in the error message reflects the original path to the watched folder where the file was delivered from the remote site. The pointer to the index data is the file name of the XML file that contains the index data entered by the remote operator.

Related Topics

Troubleshooting Tips


Exiting the Image Importer

You can exit the Ricochet Coversheet Image Importer from the File menu on the menu bar. Doing so shuts down the Image Importer. It does not shut down the Ricochet Coversheet server or any Ricochet Coversheet Web pages that are currently running. Remote operators can continue to create packages, even if the Image Importer is shut down.

Note Packages cannot be imported into Ascent Capture unless the Image Importer is running. In addition, new batch class information cannot be made available to remote operators. Therefore, you should keep the Image Importer running so that processing can occur without delay.

  • To exit Image Importer

  1. From the Image Importer’s menu bar, select File | Exit. See File Menu for more information about the File menu and the Exit option.

  2. When prompted to confirm, choose Yes to exit.

Related Topics

Starting the Image Importer


Troubleshooting Tips

This topic provides troubleshooting tips for some common problems. For a complete list of error messages, go to the Kofax Technical Support Web site at:

http://www.kofax.com/Support/Ascent/ricochet_coversheet

Logging In To Ascent Capture

Problem: On start up, the message “Could not log in to Ascent Capture” is shown in the Image Importer’s event log area.

Possible Cause

Solution

The Ascent Capture User Profiles feature is enabled, and an invalid Ascent Capture user name and/or password was specified for the Image Importer.

Specify a valid Ascent Capture user name and password from the Image Importer's Options dialog box - Server Options tab.

To do so, select Tools | Options | Server Options tab from the Image Importer’s menu bar. Then, specify a valid user name and password and click OK.

To verify user names and passwords, launch the Ascent Capture Administration module and select Edit | User Profiles from the menu bar. If necessary, contact your Ascent Capture system administrator for assistance.

Package Types Not Available

Problem: Batch classes are not available as package types for remote operators

Possible Cause

Solution

No batch classes are published

Make certain that your batch classes are published.

To do so, launch the Ascent Capture Administration module. From the menu bar, select File | Publish. The Publish dialog box will display. Select the desired batch class and click Publish.

No batch classes are available that can be used with Ricochet Coversheet.

Some limitations apply to batch classes that can be used with Ricochet Coversheet. For example, batch classes that contain a required batch field cannot be used with Ricochet Coversheet. Such batch classes will not display for remote operators.

Refer to Batch Class/Document Class Considerations.

The Image Importer is not running.

The Image Importer acts as a broker between Ricochet Coversheet and Ascent Capture. If it is not running, no batch class information can be sent to remote operators, and no packages can be imported into Ascent Capture.

If Image Importer is not running, start it. From the Start menu, select Ricochet Coversheet | Image Importer.

The Image Importer has not polled since batch classes were published.

New batch class information is refreshed from Ascent Capture at the scheduled polling intervals.

To force the polling, select File | Poll Folders from the Image Importer’s menu bar.

To verify the polling intervals, select Tools | Polling Interval from the Image Importer’s menu bar. The Polling Interval dialog box will display with the currently selected polling interval. If desired, you can change the interval.

The Ricochet Coversheet Web pages need to be refreshed.

The list of package types available from the Ricochet Coversheet Web pages is automatically populated with current types each time the browser is launched and the Ricochet Coversheet Web pages display. However, once the list is populated for a session, it does not automatically refresh if batch class information changes at the central site.

To refresh the list of package types for the Web pages at any time during a session, select View | Refresh from the browser’s menu bar.

Packages Not Imported

Problem: Packages are not being imported into the Ascent Capture workflow.

Possible Cause

Solution

The watched folder does not allow read/write access.

Make certain that your watched folders allow read/write access.

To display the properties for a folder, start Windows Explorer and browse to the folder. Right-click the folder name and select Properties. If the “Read only” check box is checked, uncheck it and click OK.

The Image Importer is not running.

The Image Importer acts as a broker between Ricochet Coversheet and Ascent Capture. If it is not running, no batch class information can be sent to remote operators, and no packages can be imported into Ascent Capture.

If Image Importer is not running, start it. From the Start menu, select Ricochet Coversheet | Image Importer.

Monthly page license is expired.

Make certain that your Ascent Capture Scan license has not expired for the month.

To do so, launch the Ascent Capture Scan or Quality Control module from the IIS Web server station and look at the “Remaining” indicator on the Scan panel.

Note that at the beginning of each month, your Scan license will automatically reset to your maximum monthly allowance of pages. For additional licensing, contact your Ascent Certified Reseller.

There are no packages from remote sites in the watched folders.

Make certain that the scanning devices used at your remote sites are sending their output to the specified watched folders.

To verify the watched folders, select Tools | Options | Watched Folders tab from the Image Importer’s menu bar. The watched folders will be listed on the tab.

Refer to the instructions that came with your scanning devices to set output destinations to the desired watched folders.

Package files are sent to the Error Files folder.

Review the Image Importer’s log file to determine if packages have been sent to the Error Files folder. Or, check the Error Files folder located in your Ricochet Coversheet installation folder on your IIS Web station. (The default location is C:\Program Files\Ricochet Coversheet\Error Files.)

Package Files Left in Watched Folders

Problem: Package files are delivered from remote sites, but are being left in the watched folders

Possible Cause | Solution
Package files contain only one page. | The Image Importer ignores packages with less than two pages in the watched folders. This is because some scanning devices do not lock their output as it is created. Image Importer will recheck these files at the next polling time.

Related Topics

Batch Class/Document Class Considerations

Error Files Folder


Glossary

Anonymous access

Allows remote access to a computer by using the IUSR_computername or guest account. Remote users can connect without a user name and password. The account has security restrictions that limit the type of Web content users can access.

Bar code

A machine-readable pattern of dark and light elements in which data is encoded. The data can include numbers, alphanumeric characters, special characters, and other information.

With Ricochet Coversheet, bar codes are used to encode information on the cover sheets created by remote users. The Image Importer uses the encoded data when it processes the packages.

Batch class

A batch class describes how batches will be processed in Ascent Capture. It defines settings such as which queues a batch will flow through in Ascent Capture, how images will be separated, and more. Each batch class can contain one or more document classes, which in turn can contain one or more form types. For Ricochet Coversheet, package types are a unique combination of batch class, document class, and form type.

Note that batch classes are defined in the Ascent Capture Administration module. Refer to your Ascent Capture documentation for more information.

Batch field

A data field associated with a batch. For Ricochet Coversheet, batch fields are not displayed for remote operators. In addition, batch classes that contain required batch fields will not be available for use with Ricochet Coversheet.

Note that batch fields are defined for batch classes in the Ascent Capture Administration module. Refer to your Ascent Capture documentation for more information.

Browser

See Web browser.

Client/Server configuration

An Ascent Capture installation whereby the Ascent Capture database and other files are installed on a server station, and the Ascent Capture modules run on client stations. The server station and the client stations are connected via a LAN. The client stations share the database and files installed on the server.

For Ricochet Coversheet, Ascent Capture must be installed as a client or standalone station on your IIS Web server.

Cover sheet

A printed form that contains information about a document to import into Ascent Capture. Remote operators use the Ricochet Coversheet Web pages to select the type of document to process and enter index data for the document. Then, Ricochet Coversheet provides the cover sheet to be printed and scanned with the document at the remote site. Some of the information entered by the remote operator is encoded in bar codes that are read at the central site for use by the Image Importer.

Document class

A document class describes how a particular type of document will be processed in Ascent Capture. It defines settings such as index fields, attributes for the index fields, and more. A document class can contain one or more form types. For Ricochet Coversheet, package types are a unique combination of batch class, document class, and form type.

Note that document classes are defined in the Ascent Capture Administration module. Refer to your Ascent Capture documentation for more information.

eDocuments

Non-image files. Some examples are: Microsoft Word documents, Audio Video Interleaved (AVI) files, and text files.

Form type

A form type defines a unique form, such as an order form from a particular vendor or a medical form from a particular hospital. For Ricochet Coversheet, package types are a unique combination of batch class, document class, and form type.

Note that form types are defined in the Ascent Capture Administration module. Refer to your Ascent Capture documentation for more information.

Hardware key

A device that plugs into a computer’s parallel port to prevent the unlicensed use of software. Hardware keys are sometimes called dongles.

For Ricochet Coversheet, an Ascent Capture Scan hardware key must be attached to your IIS Web server.

Hidden index field

An attribute for an index field that causes the field to be hidden from operators. Ricochet Coversheet honors the “Hidden” attribute and does not display hidden fields to remote operators.

Note that index fields are defined for document classes in the Ascent Capture Administration module. Refer to your Ascent Capture documentation for more information.

ICR

Intelligent Character Recognition. It is the ability of software to recognize hand-printed characters and translate them into computer-readable data.

Index field

A data field associated with a document, and typically used as a keyword for document retrieval. With Ricochet Coversheet, remote operators use the Package Definition Form to enter values for index fields, which are then delivered to the central site as part of a document package.

Note that index fields are defined for document classes in the Ascent Capture Administration module. Refer to your Ascent Capture documentation for more information.

IIS

See Microsoft Internet Information Server.

IIS Web server

This is the workstation on which the Ricochet Coversheet server and Image Importer are installed. The station must be configured as an IIS Web server. Ascent Capture must also be installed on this workstation as a client or standalone station.

LAN access

Local Area Network access. Access to a group of interconnected computers.

Microsoft Internet Information Server (IIS)

A network file and application server for the Microsoft Windows NT Server or Windows 2000 Server network operating systems. It is the base component for building an Internet or Intranet server solution. Refer to your Microsoft documentation for details.

Multi-Function Peripheral (MFP)

A single device that functions as two or more of the following: printer, scanner, copier, and/or fax machine. MFP devices are typically network aware, and provide an FTP server that you can configure to direct output to a URL that you specify. Ricochet Coversheet supports MFP devices that can generate multi-page TIFF images with CCITT Group 3 or Group 4 compression.

For Ricochet Coversheet, you must configure your MFP devices to output to a folder location that is accessible to the Image Importer.

Non-image files

See eDocuments.

OCR

Optical Character Recognition. It is the ability of software to recognize printed characters and translate them into computer-readable data.

OMR

Optical Mark Recognition. It is the ability of software to recognize marked areas on forms and convert the data to a format that can be processed by the software. The marks are typically created filling in a circle (or bubble) or marking a check in a check box on a preprinted form.

Package Definition Form

A form available from the Ricochet Coversheet Web pages that allows remote operators to enter index data for a document and create a cover sheet.

Package type

A package type is a unique combination of Ascent Capture batch class, document class, and form type.

Polling interval

Polling refers to the process of periodically checking for packages to process from remote operators, and new batch class information from Ascent Capture. Polling interval refers to the amount of time between polling times.

Proxy server

A firewall component that manages Internet traffic to and from a local area network (LAN).

Quality Control module

An Ascent Capture processing module that is used to visually check the quality of each batch and ensure that document pages are legible. It can be used as an explicit queue for all batches, or as an exception queue for batches that contain errors.

Registration

A method positioning zone areas on images.

Standalone

An Ascent Capture installation whereby the Ascent Capture database and all Ascent Capture modules run on one PC.

Sticky index field

An attribute for an index field that allows the value for the field to be carried over to the next document. The Ricochet Coversheet Web pages treat sticky fields as if the “Sticky” attribute is set to False. No “sticky” values will be preserved from one package to the next.

Note that index fields are defined for document classes in the Ascent Capture Administration module. Refer to your Ascent Capture documentation for more information.

TCP/IP protocol

Transmission Control Protocol/Internet Protocol. A protocol for communications between computers.

User profiles

Ascent Capture “accounts” defined for users. They specify Ascent Capture user privileges, such as module access and batch class access. User profiles are defined from the Ascent Capture Administration module.

Validation module

An Ascent Capture processing module that is used to enter or validate data associated with a document.

Web browser

A software application used to find and display Web pages and applications. Remote users access the Ricochet Coversheet Web pages within a Web browser.

XML

Extensible Markup Language.

Zone

An area on an image defined for specific processing.


Batch Class/Document Class Considerations

The following sections describe limitations and recommendations for batch classes and document classes to be used for Ricochet Coversheet processing.

Tip For more information about batch classes and document classes, refer to your Ascent Capture documentation.

User Profile Restrictions Are Ignored

Because Ricochet Coversheet remote operators never log into Ascent Capture, user profile limitations for batch classes do not apply. All published batch classes that meet the requirements for Ricochet Coversheet are available for selection by remote operators. (The batch classes are provided as “package types,” which are a unique combination of batch class name, document class name, and form type name.)

Batch Class/Document Class/Form Type Names

Batch classes are provided to your remote operators as “package types,” which are a unique combination of batch class name, document class name, and form type name. For example, if your batch class, document class, and form type names are “Order Forms,” “Catalog Orders,” and “Northwest Order Forms,” respectively, the package type name available to your remote operators will be:

Order Forms - Catalog Orders - Northwest Order Forms

If you defined another form type named “TriSpectrum Order Forms” for that batch class/document class, the following package types will be available to your remote operators:

Order Forms - Catalog Orders - Northwest Order Forms

Order Forms - Catalog Orders - TriSpectrum Order Forms

It is recommended that you use descriptive and meaningful names for your batch classes, document classes, and form types.

Batch Separation

Each package received from your remote sites contains one batch. Therefore, Ascent Capture batch separation based on patch codes does not apply to Ricochet Coversheet packages.

Batch Fields

Batch fields are not displayed for remote operators. In addition, batch classes that contain required batch fields will not be available for use with Ricochet Coversheet.

Document Separation

Ricochet Coversheet is designed for creating packages that contain a single document. However, if your processing requirements dictate that your packages contain multiple documents, fixed page document separation can be used. With fixed page document separation, pages imported into Ascent Capture are separated into individual documents based on the defined number of pages per document.

Consider this scenario: Your batch class has fixed-page document separation enabled, and the form type settings for the document class defines each document as having two pages. One of your remote operators selects the package type based on this batch class/document class/form type to create a cover sheet, and scans the cover sheet plus six document pages. When the package is imported into Ascent Capture, the resulting batch will contain three, two-page documents.

With fixed-page document separation, note the following:

  • No visual display or indicator is provided to remote operators for package types that require a specific number of pages. If you define a batch class/document class/form type with fixed-page document separation, you should notify your remote operators of the page count requirements.

  • Packages that do not contain the appropriate number of pages will be imported into Ascent Capture and routed to Quality Control in error. The document pages will be separated into as many documents as possible per the defined number of pages per document, but the remaining pages will be “loose” in the batch.

  • Only one set of index values can be entered by remote operators for a package, regardless of how many documents may be contained in the package. Therefore, multi-document packages for which document separation is enabled will apply the same set of index values to each document when the batch is imported into Ascent Capture.

    If your documents contain index data that can be read via an automatic recognition method (such as OCR, ICR, or others), you may want to define zones for the index fields and enable the appropriate recognition method. Index fields for zones that are set for automatic recognition will not display for remote operators. Values for such index fields can be read with the Recognition Server module at your central site. See Automatic Recognition of Zones.

Page Registration

Ascent Capture’s page-level registration feature is very robust and can correctly register a wide variety of forms. However, in some cases, you may get better results by disabling page registration and using OCR registration zones instead.

Because the scanning devices used at your remote sites may scan at different resolutions than your sample pages, it is recommended that you disable page-level registration for form types used in package types, and rely on OCR registration zones to register your pages. The registration will occur at your central site, after packages from remote sites are imported into the Ascent Capture workflow and the batches are processed through the Recognition Server module.

  • To disable page-level registration

  1. From the Ascent Capture Administration module’s batch class or document class tree view, right-click the desired form type. A context menu will display.

  2. From the context menu, select Properties. The Form Type Properties dialog box will display.

  3. Select the Image tab, and set the Page Registration Confidence slider to zero.

  4. Publish your batch class when you are finished editing it.

  • To create a registration zone

  1. From the Ascent Capture Administration module’s batch class or document class tree view, expand the desired form type and select the sample page. The sample page will display in the viewer.

  2. From the button bar, click the Create Registration Zone button. Your cursor will change to a cross hair.

  3. With your cursor on the sample page, draw a rectangle around the area to use as a registration zone. The Create Registration Zone dialog box will display. Ascent Capture will automatically select an OCR recognition profile and search text within the zone.

  4. Click the Test button to test the zone. Edit the settings as necessary until the results are as desired.

  5. Click OK to accept the settings and close the Create Registration Zone dialog box. The registration point will be visible within the zone on the sample page in the lower left position of the left-most character of the search text. If no text is found, the registration point will be created in the center of the zone.

  6. Create additional registration zones as desired.

  7. Publish your batch class when you are finished editing it.

Registration zones are processed by the Recognition Server module. If you create registration zones, you must make certain that Recognition Server is defined as a processing queue for the batch class.

  • To add Recognition Server to the list of processing queues

  1. From the Administration module’s batch class tree view, right-click the desired batch class. A context menu will display.

  2. From the context menu, select Properties. The Batch Class Properties dialog box will display.

  3. Select the Queues tab. If Recognition Server is not listed in the list of Selected Queues:

    1. Select Recognition Server from the list of Available Queues.

    2. Click Add. Recognition Server will be added to the Selected Queues.

  4. Click OK to save your settings and close the Batch Class Properties dialog box.

  5. Publish your batch class when you are finished editing it.

Refer to your Ascent Capture documentation for more details about registration zones.

Index Fields

Index fields are displayed for your remote operators from the Ricochet Coversheet Web pages. Note the following limitations.

Default Values for Index Fields

Default values for index fields are not displayed for remote operators. In addition, known values defined for the field types associated with the index fields are not displayed.

Hidden Fields

Index fields for which the “Hidden” attribute is set to True will not display for remote operators.

Sticky Fields

Because remote operators process only one document for each package, sticky fields are not supported. The Ricochet Coversheet Web pages will treat sticky fields as if the “Sticky” attribute is set to False. No “sticky” values will be preserved from one package to the next.

Required Index Fields

The Ricochet Coversheet Web pages honor the “Required” attribute for index fields. Your remote operators will not be able to create a cover sheet for a document until they enter values for all required index fields.

On the other hand, if no “Required” index fields exist for a document class, remote operators can create cover sheets for those document types without entering any index values. Therefore, if you want to force your remote operators to enter index values, you must assign the “Required” attribute to those index fields.

Batch Totals Not Allowed

Batch totaling is not supported. Batch classes that contain any document classes that include index fields for which batch totaling is enabled will not be available for use with Ricochet Coversheet.

Index Field Validation

The Ricochet Coversheet Web pages perform limited validation on index data entered by remote operators. Remote operators will not be allowed to enter more characters than defined for an index field, but no data type validation will be performed. In addition, custom validation scripts associated with index fields are ignored by the Ricochet Coversheet Web pages.

However, batches imported from Ricochet Coversheet can be routed through the Ascent Capture Validation module in the Ascent Capture workflow. The Validation module will process the batches as it would any other Ascent Capture batches. Each index field will be validated for data type and length as defined by the field type associated with the index field. Any custom validation scripts will run against the index fields in Validation.

Note It is recommended that all batches imported from Ricochet Coversheet be processed through the Ascent Capture Validation module at your central site.

Automatic Recognition of Zones

Index fields for zones that are set for automatic recognition (such as OCR, ICR, OMR, bar code recognition, or patch code recognition) will not display for remote operators. Values for the auto-recognized zones will be read when the batch is processed through the Recognition Server at your central site.

Note Batch classes that enable automatic recognition of zones cannot be published unless the Recognition Server is part of the defined workflow.

eDocument Support

The Image Importer can import packages created as TIFF image files with CCITT Group 3 or Group 4 compression. It cannot import non-image files (eDocuments), such as Microsoft Word files, Excel files, etc.

Batch classes for which non-image file support is enabled can be used with Ricochet Coversheet. However, non-image files cannot be imported with Image Importer. They will be ignored, and left in the watched folders.

Related Topics

Performance Considerations


Multi-Function Peripheral Devices

Ricochet Coversheet supports MFP devices and other scanning devices that produce multi-page TIFF images with CCITT Group 3 or Group 4 compression. The MFP must be configured to output the files to a folder that is accessible to the Ricochet Coversheet Image Importer.

Refer to the documentation that came with your MFP device for details about its capabilities, and instructions for specifying output locations.

Related Topics

Selecting Watched Folders


Performance Considerations

Ascent Capture is optimized for processing batches that contain 100-1000 documents. Processing a document within a batch is very fast compared to processing one-document batches.

Since the batches imported from Ricochet Coversheet contain one document, you may want to control which operators at your central site process those batches. You can do this via the Ascent Capture User Profiles feature by assigning the batch classes used to create Ricochet Coversheet packages to certain operators at your central site.

Note The following procedure impacts the operators at your central site only. It does not limit which batch classes your remote operators can use as package types. User profile restrictions are ignored by the Ricochet Coversheet Web pages. Refer to your Ascent Capture documentation for more information about User Profiles.

  • To assign batch classes to an operator at your central site

  1. Start the Ascent Capture Administration module at your central site.

  2. From the menu bar, select Edit | User Profiles. The User Profiles dialog box will display.

  3. Check the check box to enable User Profiles, if it is not already checked.

Note If you enable the Ascent Capture User Profiles feature, you must specify an Ascent Capture user name and password for the Ricochet Coversheet Image Importer. You do this from the Image Importer Options dialog box - Server Options tab.

  4. To create or edit a user, do the following:

    1. To create a user, right-click in the Users section and select New from the context menu.

    2. To edit a user, right-click on the desired user listed in the Users section and select Edit from the context menu.

The User Profile Properties dialog box will display.

    1. From the General tab, enter the desired user ID and password, and other options as desired for the user.

    2. From the Assigned Batch Classes tab, select or edit the assigned batch classes for the user. Assign the batch classes that will be used to create Ricochet Coversheet packages.

  5. Click Apply to save your changes. Then, click OK to close the User Profile Properties dialog box.

  6. If you are finished editing User Profiles, click Save to save your changes. Then, click Close to close the User Profiles dialog box; otherwise, proceed to the next step.

  7. To create or edit a group, do the following:

    1. To create a group, right-click in the Groups section and select New from the context menu.

    2. To edit a group, right-click the desired group listed in the Groups section and select Edit from the context menu.

The Group Profile Properties dialog box will display:

    1. From the General tab, select or edit the name for the group.

    2. From the Assigned Batch Classes tab, select or edit the assigned batch classes for the group. Assign the desired batch classes that will be used to create Ricochet Coversheet packages.

    3. From the Assigned modules tab, select or edit the assigned modules for the group.

Note No log in is required to launch the Image Importer, so it will not show up in the list of modules. Any user, regardless of the modules assigned to that user, can launch the Image Importer.

    4. From the Members tab, select or edit the members to be part of the group.

  8. Click Apply to save your changes. Then, click OK to close the Group Profiles Properties dialog box.

  9. If the Save button is enabled, click Save to save your changes. Then, click Close to close the User Profiles dialog box.

  10. Refer to your Ascent Capture documentation for more details about User Profiles.

Related Topics

Batch Class/Document Class Considerations


Polling for Packages and Batch Classes

As an unattended module, the Image Importer automatically polls at defined intervals for the following:

  • Packages to process from watched folders. All complete and valid packages from the watched folders are processed, and batches of documents from the packages are imported into the Ascent Capture workflow. Package files that are still open by an MFP device are skipped and rechecked at the next polling time. Invalid packages that do not contain a cover sheet as the first page or are not TIFF files saved with CCITT Group 3 or Group 4 compression are ignored.

  • Batch class information from Ascent Capture. Any new or edited batch classes published since the previous polling time are made available as package types for remote operators.

Related Topics

Batch Class/Document Class Considerations

Polling Interval Dialog Box

Setting the Polling Interval


Uniform Naming Convention

For any path that you can specify, the Options dialog box supports mapped drives or Uniform Naming Convention (UNC) format. You must use the Browse or Add buttons provided on the dialog box to select the desired folders. To select a path in UNC format, you can browse your Network Neighborhood.

Related Topics

Options Dialog Box